export * from './BaseDialog';
export * from './AlertDialog';
export * from './ConfirmDialog';
export { DialogProps } from './Dialog';
import { Dialog as DialogOriginal, HeaderTitle } from './Dialog';
import { EdgeToEdgeSection, CenteredSection, ScrollSection } from './components/Content';
declare type DialogOriginalType = typeof DialogOriginal;
interface DialogSetupType {
    CenteredSection: typeof CenteredSection;
    EdgeToEdgeSection: typeof EdgeToEdgeSection;
    ScrollSection: typeof ScrollSection;
    HeaderTitle: typeof HeaderTitle;
}
interface DialogType extends DialogOriginalType, Readonly<DialogSetupType> {
}
export declare const Dialog: DialogType;
